Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # bit_aligned_pixel_reference.hpp File Reference ## Detailed Description A model of a heterogeneous pixel that is not byte aligned. Examples are bitmap (1-bit pixels) or 6-bit RGB (222). Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 Last updated on September 28, 2006 `#include <functional>` `#include <boost/mpl/accumulate.hpp>` `#include <boost/mpl/at.hpp>` `#include <boost/mpl/bool.hpp>` `#include <boost/mpl/if.hpp>` `#include <boost/mpl/plus.hpp>` `#include <boost/mpl/push_back.hpp>` `#include <boost/mpl/vector.hpp>` `#include "gil_config.hpp"` `#include "pixel.hpp"` `#include "channel.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
namespace | boost::gil::detail
namespace | std
## Classes
struct | bit_aligned_pixel_reference
| Heterogeneous pixel reference corresponding to non-byte-aligned bit range. Models ColorBaseConcept, PixelConcept, PixelBasedConcept. More...
struct | is_pixel< bit_aligned_pixel_reference< C, L, M > >
| Metafunction predicate that flags bit_aligned_pixel_reference as a model of PixelConcept. Required by PixelConcept. More...
## Functions
template<int K, typename ChannelBitSizes, typename L, bool Mutable>
kth_element_reference_type< bit_aligned_pixel_reference< ChannelBitSizes, L, Mutable >, K >::type | boost::gil::at_c (const bit_aligned_pixel_reference< ChannelBitSizes, L, Mutable > &p)
template<typename C, typename L, typename R>
void | std::swap (boost::gil::bit_aligned_pixel_reference< C, L, true > x, R &y)
template<typename C, typename L>
void | std::swap (typename boost::gil::bit_aligned_pixel_reference< C, L, true >::value_type &x, boost::gil::bit_aligned_pixel_reference< C, L, true > y)
template<typename C, typename L>
void | std::swap (boost::gil::bit_aligned_pixel_reference< C, L, true > x, boost::gil::bit_aligned_pixel_reference< C, L, true > y)